<template>
<dialog class="dialog">
    <div class="dialog__heading">
        <h1><slot name="header"></slot></h1>
    </div>
    <div class="dialog__icon">
        <slot name="icon"></slot>
    </div>
    <div class="dialog__content">
        <slot></slot>
    </div>
    <div class="dialog__actions">
        <slot name="actions"></slot>
    </div>
</dialog>
</template>

<style>
dialog {
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
}

.dialog {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 2rem;
    margin: auto;

    font-size: 120%;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 1rem 7rem rgba(0, 0, 0, 0.48);
	transition: background-color 0.3s, box-shadow 0.6s, transform 0.3s, opacity 0.1s;
}

.dialog:not([open]) {
    box-shadow: 0px 0rem 0rem rgba(0, 0, 0, 0);
    opacity: 0;
    transform: scale(0);
}

.dialog::backdrop {
    display: block;
    background-color: rgba(255, 255, 255, 0.55);
	transition: background-color 1s;
}

.dialog:not([open])::backdrop {
    background-color: rgba(255, 255, 255, 0);
}

.dialog__heading {
    font-size: 200%;
    margin: 1rem 0;
    text-align: center;
}

.dialog__icon {
    text-align: center;
    margin: 1rem 0;
}

.dialog__icon > img,
.dialog__icon > svg {
    height: 8rem !important;
    width: 8rem !important;
    margin: 0 auto;
}

.dialog__content {
    margin: 3rem 0;
}

.dialog__content strong {
    font-weight: bold;
}

.dialog__content p {
    margin-bottom: 1.5rem;
}

.dialog__actions {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top:  2rem;
}

.dialog__actions .button + .button {
    margin-left: 1rem;
}

.dialog.dialog--modale {
    height: 100%;
    width: 100%;
}

.dialog.dialog--success {
    background-color: #0ea65f;
    color: rgb(255, 255, 255);
}

.dialog.dialog--success .button,
.dialog.dialog--success .button:hover,
.dialog.dialog--success .button:active {
    width: auto;
    min-width: 20rem;
    color: rgb(255, 255, 255);
    border-color: transparent;
}

</style>